/****************************************************************************
 *
 * Copy right:   Qx.Chen Jie
 * File name:    TcpTask.h
 * Description:  网络发送接收任务
 * History:      2021-03-07
 *
 ****************************************************************************/
#include "commontypedef.h"
#include "bsp.h"
#include "bsp_custom.h"
#include "osasys.h"
#include "ostask.h"
#include "queue.h"
#include "ps_event_callback.h"
#include "cmisim.h"
#include "cmimm.h"
#include "cmips.h"
#include "sockets.h"
#include "psifevent.h"
#include "ps_lib_api.h"
#include "lwip/netdb.h"
#include "debug_log.h"
#include "slpman_ec616.h"
#include "plat_config.h"
#include "ec_tcpip_api.h"
#include "hal_module_adapter.h"
#include "timers.h"
#include "AppSignal.h"
#include "AppConfig.h"
#include "AppFunc.h"

#define PROC_TCP_TASK_STACK_SIZE           (2048)
typedef enum
{
    PROCESS_TCP_STATE_IDLE = 0,
    PROCESS_TCP_STATE_SEND,
    PROCESS_TCP_STATE_RECV,
    PROCESS_TCP_STATE_SLEEP
}process_TCP;
void AppTaskTcpInit(void *arg);
void AppTaskTcpDeInit(void *arg);
